Share via


Akri Connector Template - Create Or Update

Create a AkriConnectorTemplateResource

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/akriConnectorTemplates/{akriConnectorTemplateName}?api-version=2026-03-01

URI Parameters

Name In Required Type Description
akriConnectorTemplateName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

Name of AkriConnectorTemplate resource.

instanceName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

Name of instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
extendedLocation

ExtendedLocation

Edge location of the resource.

properties

AkriConnectorTemplateProperties

The resource-specific properties for this resource.

Responses

Name Type Description
200 OK

AkriConnectorTemplateResource

Resource 'AkriConnectorTemplateResource' update operation succeeded

201 Created

AkriConnectorTemplateResource

Resource 'AkriConnectorTemplateResource' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

AkriConnectorTemplate_CreateOrUpdate_MaximumSet

Sample request

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-name123/akriConnectorTemplates/resource-name123?api-version=2026-03-01

{
  "properties": {
    "aioMetadata": {
      "aioMinVersion": "1.2.0",
      "aioMaxVersion": "1.4.0"
    },
    "runtimeConfiguration": {
      "runtimeConfigurationType": "ManagedConfiguration",
      "managedConfigurationSettings": {
        "managedConfigurationType": "ImageConfiguration",
        "imageConfigurationSettings": {
          "registrySettings": {
            "registrySettingsType": "ContainerRegistry",
            "containerRegistrySettings": {
              "registry": "akribuilds.azurecr.io"
            }
          },
          "imageName": "akri-connectors/rest",
          "tagDigestSettings": {
            "tagDigestType": "Tag",
            "tag": "0.5.0-20250825.4"
          }
        }
      }
    },
    "diagnostics": {
      "logs": {
        "level": "info"
      }
    },
    "deviceInboundEndpointTypes": [
      {
        "endpointType": "Microsoft.Rest",
        "version": "0.0.1"
      }
    ],
    "mqttConnectionConfiguration": {
      "authentication": {
        "method": "ServiceAccountToken",
        "serviceAccountTokenSettings": {
          "audience": "MQ-SAT"
        }
      },
      "host": "aio-broker:18883",
      "protocol": "Mqtt",
      "keepAliveSeconds": 10,
      "maxInflightMessages": 10,
      "sessionExpirySeconds": 60,
      "tls": {
        "mode": "Enabled",
        "trustedCaCertificateConfigMapRef": "azure-iot-operations-aio-ca-trust-bundle"
      }
    }
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

Sample response

{
  "properties": {
    "provisioningState": "Succeeded",
    "aioMetadata": {
      "aioMinVersion": "1.2.0",
      "aioMaxVersion": "1.4.0"
    },
    "runtimeConfiguration": {
      "runtimeConfigurationType": "ManagedConfiguration",
      "managedConfigurationSettings": {
        "managedConfigurationType": "ImageConfiguration",
        "imageConfigurationSettings": {
          "registrySettings": {
            "registrySettingsType": "ContainerRegistry",
            "containerRegistrySettings": {
              "registry": "akribuilds.azurecr.io"
            }
          },
          "imageName": "akri-connectors/rest",
          "tagDigestSettings": {
            "tagDigestType": "Tag",
            "tag": "0.5.0-20250825.4"
          }
        }
      }
    },
    "diagnostics": {
      "logs": {
        "level": "info"
      }
    },
    "deviceInboundEndpointTypes": [
      {
        "endpointType": "Microsoft.Rest",
        "version": "0.0.1"
      }
    ],
    "mqttConnectionConfiguration": {
      "authentication": {
        "method": "ServiceAccountToken",
        "serviceAccountTokenSettings": {
          "audience": "MQ-SAT"
        }
      },
      "host": "aio-broker:18883",
      "protocol": "Mqtt",
      "keepAliveSeconds": 10,
      "maxInflightMessages": 10,
      "sessionExpirySeconds": 60,
      "tls": {
        "mode": "Enabled",
        "trustedCaCertificateConfigMapRef": "azure-iot-operations-aio-ca-trust-bundle"
      }
    }
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/akriConnectorTemplates/resource-name123",
  "name": "bfimycofjtzxduufwanuxwoudsh",
  "type": "wnabnudmydrgpccqusxkmsmgcwzwh",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "provisioningState": "Accepted",
    "aioMetadata": {
      "aioMinVersion": "1.2.0",
      "aioMaxVersion": "1.4.0"
    },
    "runtimeConfiguration": {
      "runtimeConfigurationType": "ManagedConfiguration",
      "managedConfigurationSettings": {
        "managedConfigurationType": "ImageConfiguration",
        "imageConfigurationSettings": {
          "registrySettings": {
            "registrySettingsType": "ContainerRegistry",
            "containerRegistrySettings": {
              "registry": "akribuilds.azurecr.io"
            }
          },
          "imageName": "akri-connectors/rest",
          "tagDigestSettings": {
            "tagDigestType": "Tag",
            "tag": "0.5.0-20250825.4"
          }
        }
      }
    },
    "diagnostics": {
      "logs": {
        "level": "info"
      }
    },
    "deviceInboundEndpointTypes": [
      {
        "endpointType": "Microsoft.Rest",
        "version": "0.0.1"
      }
    ],
    "mqttConnectionConfiguration": {
      "authentication": {
        "method": "ServiceAccountToken",
        "serviceAccountTokenSettings": {
          "audience": "MQ-SAT"
        }
      },
      "host": "aio-broker:18883",
      "protocol": "Mqtt",
      "keepAliveSeconds": 10,
      "maxInflightMessages": 10,
      "sessionExpirySeconds": 60,
      "tls": {
        "mode": "Enabled",
        "trustedCaCertificateConfigMapRef": "azure-iot-operations-aio-ca-trust-bundle"
      }
    }
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/akriConnectorTemplates/resource-name123",
  "name": "bfimycofjtzxduufwanuxwoudsh",
  "type": "wnabnudmydrgpccqusxkmsmgcwzwh",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

Definitions

Name Description
AkriConnectorsContainerRegistry

AkriConnectorsContainerRegistry properties.

AkriConnectorsContainerRegistrySettings

AkriConnectorsContainerRegistry properties.

AkriConnectorsDiagnosticsLogs

AkriConnectorsDiagnostic Log properties.

AkriConnectorsDigest

AkriConnectorsDigest properties.

AkriConnectorsImagePullPolicy

Image pull policy.

AkriConnectorsImagePullSecret

AkriConnectorsImagePullSecret properties.

AkriConnectorsMqttAuthenticationMethod

AkriConnectorsMqttAuthenticationMethod properties.

AkriConnectorsMqttConnectionConfiguration

AkriConnectorsMqttConnectionConfiguration properties.

AkriConnectorsMqttProtocolType

Mqtt protocol types.

AkriConnectorsRegistryEndpointRef

AkriConnectorsRegistryEndpointRef properties.

AkriConnectorsRegistrySettingsType

AkriConnectorsRegistrySettings properties.

AkriConnectorsSecret

AkriConnectorsSecret properties.

AkriConnectorsServiceAccountAuthentication

AkriConnectorsServiceAccountAuthentication properties.

AkriConnectorsServiceAccountTokenSettings

AkriConnectorsServiceAccountTokenSettings properties.

AkriConnectorsTag

AkriConnectorsTag properties.

AkriConnectorsTagDigestType

AkriConnectorsTagDigestType values.

AkriConnectorTemplateAioMetadata

AkriConnectorTemplateAioMetadata properties.

AkriConnectorTemplateAllocationPolicy

AkriConnectorTemplateAllocationPolicy properties.

AkriConnectorTemplateBucketizedAllocation

AkriConnectorTemplateBucketizedAllocation properties.

AkriConnectorTemplateDeviceInboundEndpointType

AkriConnectorTemplateDeviceInboundEndpointType properties.

AkriConnectorTemplateDiagnostics

AkriConnectorTemplateDiagnostics properties.

AkriConnectorTemplateManagedConfiguration

AkriConnectorTemplateManagedConfiguration properties.

AkriConnectorTemplateManagedConfigurationType

Managed configuration types.

AkriConnectorTemplatePersistentVolumeClaim

AkriConnectorTemplatePersistentVolumeClaim properties.

AkriConnectorTemplateProperties

AkriConnectorTemplate properties.

AkriConnectorTemplateResource

AkriConnectorTemplate resource.

AkriConnectorTemplateRuntimeConfigurationType

Runtime configuration types.

AkriConnectorTemplateRuntimeImageConfiguration

AkriConnectorTemplateRuntimeImageConfiguration properties.

AkriConnectorTemplateRuntimeImageConfigurationSettings

AkriConnectorTemplateRuntimeImageConfiguration properties.

AkriConnectorTemplateRuntimeStatefulSetConfiguration

AkriConnectorTemplateRuntimeStatefulSetConfiguration properties.

AkriConnectorTemplateTrustList

AkriConnectorTemplateTrustList properties.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExtendedLocation

Extended location is an extension of Azure locations. They provide a way to use their Azure ARC enabled Kubernetes clusters as target locations for deploying Azure services instances.

ExtendedLocationType

The enum defining type of ExtendedLocation accepted.

OperationalMode

Mode properties

ProvisioningState

The enum defining status of resource.

ResourceHealthState

The health state of the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

TlsProperties

Tls properties

AkriConnectorsContainerRegistry

AkriConnectorsContainerRegistry properties.

Name Type Description
containerRegistrySettings

AkriConnectorsContainerRegistrySettings

The registry settings for the container registry.

registrySettingsType string:

ContainerRegistry

AkriConnectorsRegistrySettings properties.

AkriConnectorsContainerRegistrySettings

AkriConnectorsContainerRegistry properties.

Name Type Description
imagePullSecrets

AkriConnectorsImagePullSecret[]

Optional list of references to secrets in the same namespace to use for pulling the connector image.

registry

string

The container registry to use for the artifact.

AkriConnectorsDiagnosticsLogs

AkriConnectorsDiagnostic Log properties.

Name Type Default value Description
level

string

info

The log level. Examples - 'debug', 'info', 'warn', 'error', 'trace'.

AkriConnectorsDigest

AkriConnectorsDigest properties.

Name Type Description
digest

string

The digest of the image.

tagDigestType string:

Digest

The tag or digest type.

AkriConnectorsImagePullPolicy

Image pull policy.

Value Description
Always

Always pull the image.

IfNotPresent

IfNotPresent pull the image.

Never

Never pull the image.

AkriConnectorsImagePullSecret

AkriConnectorsImagePullSecret properties.

Name Type Description
secretRef

string

The name of the image pull secret.

AkriConnectorsMqttAuthenticationMethod

AkriConnectorsMqttAuthenticationMethod properties.

Value Description
ServiceAccountToken

Service Account Token authentication.

AkriConnectorsMqttConnectionConfiguration

AkriConnectorsMqttConnectionConfiguration properties.

Name Type Description
authentication AkriConnectorsMqttAuthentication:

AkriConnectorsServiceAccountAuthentication

Authentication properties.

host

string

Host of the Broker in the form of <hostname>:<port>.

keepAliveSeconds

integer (int32)

minimum: 0

KeepAlive for connection in seconds.

maxInflightMessages

integer (int32)

minimum: 0

The max number of messages to keep in flight. For subscribe, this is the receive maximum. For publish, this is the maximum number of messages to send before waiting for an ack.

protocol

AkriConnectorsMqttProtocolType

The protocol to use for the connection. Currently only mqtt is supported.

sessionExpirySeconds

integer (int32)

minimum: 0

Session expiry in seconds.

tls

TlsProperties

TLS configuration.

AkriConnectorsMqttProtocolType

Mqtt protocol types.

Value Description
Mqtt

Mqtt protocol.

AkriConnectorsRegistryEndpointRef

AkriConnectorsRegistryEndpointRef properties.

Name Type Description
registryEndpointRef

string

The name of the registry endpoint.

registrySettingsType string:

RegistryEndpointRef

AkriConnectorsRegistrySettings properties.

AkriConnectorsRegistrySettingsType

AkriConnectorsRegistrySettings properties.

Value Description
RegistryEndpointRef

A Registry Endpoint reference.

ContainerRegistry

A Container Registry reference.

AkriConnectorsSecret

AkriConnectorsSecret properties.

Name Type Description
secretAlias

string

The application-defined alias for the secret.

secretKey

string

The key in the secret to be mounted.

secretRef

string

The name of the secret to be mounted.

AkriConnectorsServiceAccountAuthentication

AkriConnectorsServiceAccountAuthentication properties.

Name Type Description
method string:

ServiceAccountToken

The authentication method for the MQTT connection.

serviceAccountTokenSettings

AkriConnectorsServiceAccountTokenSettings

The service account token for the MQTT connection.

AkriConnectorsServiceAccountTokenSettings

AkriConnectorsServiceAccountTokenSettings properties.

Name Type Description
audience

string

The audience for the service account token.

AkriConnectorsTag

AkriConnectorsTag properties.

Name Type Description
tag

string

The tag of the image.

tagDigestType string:

Tag

The tag or digest type.

AkriConnectorsTagDigestType

AkriConnectorsTagDigestType values.

Value Description
Tag

Indicates that a tag should be specified.

Digest

Indicates that a digest should be specified.

AkriConnectorTemplateAioMetadata

AkriConnectorTemplateAioMetadata properties.

Name Type Description
aioMaxVersion

string

The maximum version of AIO required for the connector.

aioMinVersion

string

The minimum version of AIO required for the connector.

AkriConnectorTemplateAllocationPolicy

AkriConnectorTemplateAllocationPolicy properties.

Value Description
Bucketized

Bucketized allocation policy.

AkriConnectorTemplateBucketizedAllocation

AkriConnectorTemplateBucketizedAllocation properties.

Name Type Description
bucketSize

integer (int32)

minimum: 1
maximum: 100

The bucketized allocation of AEPs for connectors.

policy string:

Bucketized

The allocation policy type.

AkriConnectorTemplateDeviceInboundEndpointType

AkriConnectorTemplateDeviceInboundEndpointType properties.

Name Type Description
displayName

string

The display name of the device inbound endpoint.

endpointType

string

minLength: 1

The type of the device inbound endpoint.

version

string

minLength: 1

The version of the device inbound endpoint.

AkriConnectorTemplateDiagnostics

AkriConnectorTemplateDiagnostics properties.

Name Type Description
logs

AkriConnectorsDiagnosticsLogs

The log settings for the Connector template.

AkriConnectorTemplateManagedConfiguration

AkriConnectorTemplateManagedConfiguration properties.

Name Type Description
managedConfigurationSettings AkriConnectorTemplateManagedConfigurationSettings:

The managed configuration settings.

runtimeConfigurationType string:

ManagedConfiguration

Runtime configuration type for the Connector template.

AkriConnectorTemplateManagedConfigurationType

Managed configuration types.

Value Description
ImageConfiguration

Image Configuration Type.

StatefulSetConfiguration

StatefulSet Configuration Type.

AkriConnectorTemplatePersistentVolumeClaim

AkriConnectorTemplatePersistentVolumeClaim properties.

Name Type Description
claimName

string

The name of the persistent volume claim.

mountPath

string

The mount path for the persistent volume claim.

AkriConnectorTemplateProperties

AkriConnectorTemplate properties.

Name Type Default value Description
aioMetadata

AkriConnectorTemplateAioMetadata

Metadata about AIO.

connectorMetadataRef

string

A reference to a connector metadata document reference in a container registry.

deviceInboundEndpointTypes

AkriConnectorTemplateDeviceInboundEndpointType[]

Device inbound endpoint types.

diagnostics

AkriConnectorTemplateDiagnostics

Diagnostics settings for the Connector template.

healthState

ResourceHealthState

Unknown

The health state of the resource.

mqttConnectionConfiguration

AkriConnectorsMqttConnectionConfiguration

Mqtt connection configuration settings.

provisioningState

ProvisioningState

The status of the last operation.

runtimeConfiguration AkriConnectorTemplateRuntimeConfiguration:

AkriConnectorTemplateManagedConfiguration

The runtime configuration for the Connector template.

AkriConnectorTemplateResource

AkriConnectorTemplate resource.

Name Type Description
extendedLocation

ExtendedLocation

Edge location of the resource.

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

AkriConnectorTemplateProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AkriConnectorTemplateRuntimeConfigurationType

Runtime configuration types.

Value Description
ManagedConfiguration

Managed Configuration Type.

AkriConnectorTemplateRuntimeImageConfiguration

AkriConnectorTemplateRuntimeImageConfiguration properties.

Name Type Description
additionalConfiguration

object

Additional configuration for the image of the managed configuration.

allocation AkriConnectorTemplateAllocation:

AkriConnectorTemplateBucketizedAllocation

Allocation settings for the managed configuration.

imageConfigurationSettings

AkriConnectorTemplateRuntimeImageConfigurationSettings

The image configuration settings.

managedConfigurationType string:

ImageConfiguration

The type of the managed configuration.

persistentVolumeClaimTemplates

AkriConnectorTemplateManagedConfigurationSettings.PersistentVolumeClaimTemplates[]

The persistent volume claim templates for the managed configuration. See https://raw.githubusercontent.com/kubernetes/kubernetes/refs/heads/master/api/openapi-spec/v3/apis__apps__v1_openapi.json.

persistentVolumeClaims

AkriConnectorTemplatePersistentVolumeClaim[]

The persistent volume claims for the managed configuration.

secrets

AkriConnectorsSecret[]

Connector secrets that will be mounted onto all connector instances.

trustSettings

AkriConnectorTemplateTrustList

Trust list for the connector. This is used to specify the certificates that all connector instances should trust.

AkriConnectorTemplateRuntimeImageConfigurationSettings

AkriConnectorTemplateRuntimeImageConfiguration properties.

Name Type Description
imageName

string

The image name without any registry reference, tag or digest.

imagePullPolicy

AkriConnectorsImagePullPolicy

The pull policy of the image.

registrySettings AkriConnectorsRegistrySettings:

The registry settings for the image. You can omit this field if using the default docker hub repository or using a local image.

replicas

integer (int32)

The number of replicas to be set up.

tagDigestSettings AkriConnectorsTagDigestSettings:

Optional image tag or digest. If not specified, the default tag is latest.

AkriConnectorTemplateRuntimeStatefulSetConfiguration

AkriConnectorTemplateRuntimeStatefulSetConfiguration properties.

Name Type Description
additionalConfiguration

object

Additional configuration for the image of the managed configuration.

allocation AkriConnectorTemplateAllocation:

AkriConnectorTemplateBucketizedAllocation

Allocation settings for the managed configuration.

managedConfigurationType string:

StatefulSetConfiguration

The type of the managed configuration.

persistentVolumeClaimTemplates

AkriConnectorTemplateManagedConfigurationSettings.PersistentVolumeClaimTemplates[]

The persistent volume claim templates for the managed configuration. See https://raw.githubusercontent.com/kubernetes/kubernetes/refs/heads/master/api/openapi-spec/v3/apis__apps__v1_openapi.json.

persistentVolumeClaims

AkriConnectorTemplatePersistentVolumeClaim[]

The persistent volume claims for the managed configuration.

secrets

AkriConnectorsSecret[]

Connector secrets that will be mounted onto all connector instances.

statefulSetConfigurationSettings

The stateful set configuration settings. This corresponds to the Kubernetes StatefulSet resource. See https://raw.githubusercontent.com/kubernetes/kubernetes/refs/heads/master/api/openapi-spec/v3/apis__apps__v1_openapi.json#/components/schemas/io.k8s.api.apps.v1.StatefulSetSpec

trustSettings

AkriConnectorTemplateTrustList

Trust list for the connector. This is used to specify the certificates that all connector instances should trust.

AkriConnectorTemplateTrustList

AkriConnectorTemplateTrustList properties.

Name Type Description
trustListSecretRef

string

The secret reference for certificates to trust.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExtendedLocation

Extended location is an extension of Azure locations. They provide a way to use their Azure ARC enabled Kubernetes clusters as target locations for deploying Azure services instances.

Name Type Description
name

string

The name of the extended location.

type

ExtendedLocationType

Type of ExtendedLocation.

ExtendedLocationType

The enum defining type of ExtendedLocation accepted.

Value Description
CustomLocation

CustomLocation type

OperationalMode

Mode properties

Value Description
Enabled

Enabled is equivalent to True

Disabled

Disabled is equivalent to False.

ProvisioningState

The enum defining status of resource.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Provisioning

Resource is getting provisioned.

Updating

Resource is Updating.

Deleting

Resource is Deleting.

Accepted

Resource has been Accepted.

ResourceHealthState

The health state of the resource.

Value Description
Available

Resource is Available and functioning as expected.

Degraded

Resource health is degraded.

Unavailable

Resource is not functioning as expected.

Unknown

Resource state is unknown.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TlsProperties

Tls properties

Name Type Default value Description
mode

OperationalMode

Enabled

Mode for TLS.

trustedCaCertificateConfigMapRef

string

Trusted CA certificate config map.